Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class IdentifierCollection

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.IdentifierCollection

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

Direct Known Subclasses:
  IdentifierBag

    public abstract class IdentifierCollection

extends Collection

A collection with a synthetic "identifier" column

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_IDENTIFIER_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`IdentifierCollection(PersistentClass owner)`

Method Summary
`KeyValue` | `getIdentifier()`
`boolean` | `isIdentified()`
`void` | `setIdentifier(KeyValue identifier)`
`void` | `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.Collection
`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getDefaultCollectionType, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isArray, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIndexed, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isPrimitiveArray, isSet, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.mapping.Value
`accept`

Field Detail

### DEFAULT_IDENTIFIER_COLUMN_NAME

    public static final String DEFAULT_IDENTIFIER_COLUMN_NAME

See Also:
  Constant Field Values

Constructor Detail

### IdentifierCollection

    public IdentifierCollection(PersistentClass owner)

Method Detail

### getIdentifier

    public KeyValue getIdentifier()

### setIdentifier

    public void setIdentifier(KeyValue identifier)

### isIdentified

    public final boolean isIdentified()

  Overrides:
    `isIdentified` in class `Collection`

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `Collection`
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD